<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_af9f5df6df6e4ab6fd53" . "18e899627078" => base64_decode("ZG9jd" . "W1lbn" . "RfdHl" . "wZQ=="), "_374bf250a2cd00d" . "5f5742fea7c48719" . "7" => base64_decode("ZG9jdW1lbnRfdGl" . "0bGU="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_374bf250a2cd" . "00d5f5742fea7" . "c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_af9f5df6df6e" . "4ab6fd5318e89" . "9627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}